#!/bin/zsh

# Copyright 2014 - 2016 Paul Hänsch
#
# This file is part of shcgi.
# 
# shcgi is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# shcgi is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with shcgi.  If not, see <http://www.gnu.org/licenses/>. 

. "${_EXEC}/shcgi/forms.sh"

[ -z "$NAVIGATION" ] \
&& NAVIGATION=($(printf %s\\n "${_EXEC}"/pages/*.sh |sed -r 's;^.*/([^/]*)\.sh$;\1;'))

CSS="${CSS:-${_EXEC}/templates/${PAGE}.css.sh}"
BODY="${BODY:-${_EXEC}/templates/${PAGE}.html.sh}"

. "${_EXEC}/pages/${PAGE}.sh"

# prevent browsers from caching generated pages
printf "Cache-Control: no-cache, no-store, must-revalidate\r\nPragma: no-cache\r\nExpires: 0\r\n"
printf "Content-Type: text/html;charset=utf-8\r\n\r\n"
. "${_EXEC}/templates/frame.html.sh"
